<vn>
<div id="title">
	<h1><t>User management</t></h1>
</div>
<div id="actions">
	<htk-search-entry form="hash" column="user"/>
</div>
<div id="form" class="users">
	<htk-repeater
		form-id="iter"
		renderer="rendererFunc"
		class="htk-list box vn-w-xs">
		<db-model property="model" lot="hash">
			SELECT u.id, u.name, u.nickname, u.active
				FROM account.user u
				WHERE u.name LIKE CONCAT('%', #user, '%')
					OR u.nickname LIKE CONCAT('%', #user, '%')
					OR u.id = #user
				ORDER BY u.name LIMIT 200
		</db-model>
		<custom>
			<a class="users-box item"
				href="{{`#!form=admin/access-log&amp;user=${iter.id}`}}"
				title="_Access log">
				<div class="content">
					<p class="important">
						{{iter.nickname}}
					</p>
					<p>
						#{{iter.id}} - {{iter.name}}
					</p>
				</div>
				<div class="actions"
					on-click="$event.preventDefault()">
					<span id="disabled" class="disabled">
						<t>Disabled</t>
					</span>
					<htk-button
						id="impersonate"
						icon="supervisor_account"
						tip="_Impersonate user"
						on-click="this.onChangeUserClick(iter.name)"/>
				</div>
			</a>
		</custom>
	</htk-repeater>
</div>
</vn>
